echo opcion que controla los errores de entrada

i=1
while test $i -lt 9
	caracter=`expr substr $numero $i 1`
	case $caracter in

	[A-z])
		Echo No valen letras
		Exit 1
	;;
	
	[0-9]) 
		i=`expr $i + 1`
	;;
	
	*) echo No caracteres especiales, ni menos de 8 nº
		exit ;;

	esac
done

resto=`expr $numero % 23 `
resto=`expr $resto +1 `
cut -f $resto -d: cadena
